# Class LDC2_W

java.lang.Object
org.apache.bcel.generic.Instruction
org.apache.bcel.generic.CPInstruction
org.apache.bcel.generic.LDC2_W

All Implemented Interfaces:
  `Cloneable, IndexedInstruction, PushInstruction, StackProducer, TypedInstruction`

public class LDC2_W extends CPInstruction implements PushInstruction
LDC2_W - Push long or double from constant pool

    Stack: ... -> ..., item.word1, item.word2

- ## Field Summary

  ### Fields inherited from class CPInstruction

  `index`

  ### Fields inherited from class Instruction

  `length, opcode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LDC2_W(int index)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  Call corresponding visitor method(s).
  `Type`
  `getType(ConstantPoolGen cpg)`
  `Number`
  `getValue(ConstantPoolGen cpg)`

  ### Methods inherited from class CPInstruction

  `dump, getIndex, initFromFile, setIndex, toString, toString`

  ### Methods inherited from class Instruction

  `consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, hashCode, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface StackProducer

  `produceStack`

- ## Constructor Details

  - ### LDC2_W

    public LDC2_W(int index)

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
    Specified by:
      `accept` in class `Instruction`
    Parameters:
      `v` - Visitor object

  - ### getType

    public Type getType(ConstantPoolGen cpg)
    Specified by:
      `getType` in interface `TypedInstruction`
    Overrides:
      `getType` in class `CPInstruction`
    Returns:
      type related with this instruction.

  - ### getValue

    public Number getValue(ConstantPoolGen cpg)